API Documentation
  1. API Documentation - Version 3
API Documentation
  • API Documentation - Version 3
    • Getrate API
      POST
    • Purchase API
      POST
    • Get All Orders API
      POST
    • Get Order Detail API
      POST
    • Cancel Orders API
      POST
    • Get PodInfo API
      POST
    • Get Label API
      POST
    • Get TrackingInfo API
      POST
    • Create Manifest
      POST
    • Get Manifest
      POST
    • GetBreakdown
      POST
  1. API Documentation - Version 3

Get Label API

Developing
POST
/api/v3/shipment/getLabel
Get the label for the order.

Request

Body Params application/json

Example
{
    "accessToken": "string",
    "mode": "production",
    "orderId": ""
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.batchship.com/api/v3/shipment/getLabel' \
--header 'Content-Type: application/json' \
--data-raw '{
    "accessToken": "string",
    "mode": "production",
    "orderId": ""
}'

Responses

🟢200成功
application/json
Body

Example
{
    "success": true,
    "payload": {
        "orderId": "ORDER_ID",
        "status": "printing",
        "packageDocumentDetails": [
            {
                "packageClientReferenceId": "SWA_US_SmartP_Test",
                "packageDocuments": [
                    {
                        "type": "URL",
                        "contents": "LABEL_URL",
                        "format": "PDF"
                    }
                ],
                "trackingId": "9031322607088",
                "packageSn": "OSAPDDPJDAFJ"
            }
        ]
    }
}
Modified at 2026-02-28 08:20:47
Previous
Get PodInfo API
Next
Get TrackingInfo API
Built with